function   [SNIndexes,SNIndexes1] = determineSearchNeighIndexes(actualPosition, selfSimilarityParams)

% compute the point corresponding to actualPosition in the first period of the training set
cen = mod(actualPosition, selfSimilarityParams.period);
if cen ==0
    cen =selfSimilarityParams.period;
end

% half SN size
HSNS = floor(selfSimilarityParams.searchNeighSize / 2);

% number of periods in the training set
nTS = floor(selfSimilarityParams.signalTS_len / selfSimilarityParams.period);

% points associated to actualPosition in the whole training set
centers = cen + [0 : nTS - 1] * selfSimilarityParams.period;

% expand the search region around each center
SNIndexes = [];
SNIndexes1 = [];
for cc = centers
    SNIndexes = [SNIndexes, cc - HSNS :  cc + HSNS];
    SNIndexes1 = [SNIndexes1, cc - HSNS ,  cc + HSNS];
end

    
