function FlowSequence = loadFlowData(flowFileName)
%
% function FlowSequence = loadFlowData(flowFileName)
%
% References
%
% [1]  Cesare Alippi, Giacomo Boracchi and Manuel Roveri,
% "A just-in-time adaptive classification system based on the intersection of confidence intervals rule,"
% Neural Networks, Elsevier vol. 24 (2011), pp. 791-800 doi: 10.1016/j.neunet.2011.05.012
%
%
% preprints available at http://home.deib.polimi.it/boracchi/publications.html
%
%
% Giacomo Boracchi
% Politecnico di Milano
% January 2014
% giacomo.boracchi@polimi.it

if isempty(strfind(flowFileName, '.txt'))
    fname = ['Data/', flowFileName, '.txt'];
else
    fname = ['Data/', flowFileName];
end

if exist(fname, 'file')
    FlowSequence = load(fname);
elseif ~isempty(strfind(fname, 'all'))
    fnames = dir(['Data/*.txt']);
    for ff = 1 : numel(fnames)
        FlowSequence{ff} = load(['Data/', fnames(ff).name]);
    end
else
    FlowSequence = [];
    warning([fname, ' file not found!']);
end