function [ksDistance, figNr] = plotHistComparison(featuresBefore, featuresAfter, titleStr, figNr)

[~, binCenters] = hist([featuresBefore, featuresAfter], 100);
hBefore = hist(featuresBefore, binCenters);
hBefore = hBefore ./ trapz(binCenters, hBefore);
hAfter = hist(featuresAfter, binCenters);
hAfter = hAfter ./ trapz(binCenters, hAfter);
[~, ~, ksDistance] = kstest2(featuresBefore, featuresAfter);

if ~exist('figNr', 'var') || isempty(figNr)
    figNr = figure();
else
    figure(figNr);
end

stairs(binCenters, hBefore, 'g', 'LineWidth', 2)
hold on
stairs(binCenters, hAfter, 'r', 'LineWidth', 2)
hold off
title([titleStr,' KS value: ', num2str(ksDistance)]);

