function DataSet = loadDataSet(changeParams)
%
% function DataSet = loadDataSet(changeParams)
%
%
%
%
% References
%
% [1] Giacomo Boracchi and Manuel Roveri,
% "Exploiting Self-Similarity for Change Detection"
% in Proceedings of IJCNN 2014, International Joint Conference on Neural Networks
% Beijing, China 5 - 11 July 2014. [Preprint available online at http://home.deib.polimi.it/boracchi/publications.html
%
% [2]  Cesare Alippi, Giacomo Boracchi and Manuel Roveri,
% "A just-in-time adaptive classification system based on the intersection of confidence intervals rule,"
% Neural Networks, Elsevier vol. 24 (2011), pp. 791-800 doi: 10.1016/j.neunet.2011.05.012
%
% preprints available at http://home.deib.polimi.it/boracchi/publications.html
%
%
% Giacomo Boracchi
% Politecnico di Milano
% giacomo.boracchi@polimi.it
% 
% Revision History
% January 2014   First Release
% July 2014 Engineering



switch  lower (changeParams.changeType)
    
    case {'source'}
        
        load DataSetSourceChange.mat DataSetA DataSetB DataSetC DataSetD DataSetE
        
        
    case {'sourceandrescale', 'source+rescale'}
        
        load DataSetSourceAndRescaleChange.mat DataSetA DataSetB DataSetC DataSetD DataSetE
 
        
    otherwise
        
        load DataSetNoChange.mat DataSetA DataSetB DataSetC DataSetD DataSetE
        
        [DataSetA] = insertChange(DataSetA, changeParams);
        [DataSetB] = insertChange(DataSetB, changeParams);
        [DataSetC] = insertChange(DataSetC, changeParams);
        [DataSetD] = insertChange(DataSetD, changeParams);
        [DataSetE] = insertChange(DataSetE, changeParams);
        
end

DataSet = [DataSetA; DataSetB; DataSetC; DataSetD; DataSetE];

